<?php
/**
 * Extended Contact
 *
 * @author emanuele
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause
 *
 * @version 0.0.1
 */

class Extended_Contact_Integrate
{
	public static function actions(&$actionArray, &$adminActions)
	{
		global $modSettings;

		$actionArray['contact'] = array('Contact.controller.php', 'Contact_Controller', 'action_contact');
	}

	public static function menu_buttons(&$buttons, &$menu_count)
	{
		global $modSettings;

		if (isset($buttons['contact']))
		{
			$buttons['contact']['show'] = !empty($modSettings['enable_contactform']) && $modSettings['enable_contactform'] == 'menu';
		}
	}

	public static function modify_basic_settings(&$config_vars)
	{
		global $txt;

		$array = array(array('large_text', 'contactform_text'));
		loadLanguage('ExtendedContact');
		foreach ($config_vars as $k => $val)
		{
			if (!empty($val[1]) && $val[1] == 'enable_contactform')
			{
				$pos = $k;
				break;
			}
		}
		$config_vars = elk_array_insert($config_vars, $pos, $array, 'after', false);
	}
}